View Issue Details

IDProjectCategoryLast Update
0020641AI War 2[All Projects] SuggestionSep 10, 2019 12:15 am
ReporterAero182Assigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.804 Hack Me Quickly 
Fixed in Version0.887 Ending Scenes 
Summary0020641: simple but necessary (ending screen after winning)
DescriptionWhen you beat the ai, you're like ".... did i win....?"
Then you realise there's a small green text at the top saying "you won"

lol there needs to be a message after you beat it that comes up on screen, clearly, automatic pause of the game, a button to click "end game(with a tooltip saying "end game and view achievements") and a button to click "resume and keep playing".

I feel this is incredibly incredibly incredibly important because if you're like me you may have put in like 16 hours to winning lmao and then it's kinda anticlimactic, i wasn't even sure if i won for like 15 seconds lmao.



Then:
after clicking end screen and viewing achievements, a screen showing stats such as:
Military:
-number of units created.
-units killed
-units lost
-turrets placed/lost
-turrets killed (your own and enemys #)
-max ships
-retalliation waves spawned
-attack waves spawned
etcetc.

Economy stats:
-energy created/used
-metal gathered/used

Technology stats:
- technology stolen
-technology gathered
- hacking attempts, sucesses/failures
-enemys spawned in response to hacking attempts

A timeline showing relative power vs the ai's power.

(took most of the achievement screen ideas from AOE2.)
but i feel the most important part is just a simple message telling you clearly that you've beat the AI! With trumpets and streamers and flashing lights. you know what i mean. lol.
TagsNo tags attached.

Activities

x4000Bughunter

Oct 22, 2018 10:41 am

administrator   ~0050214

This is definitely coming! It's on the known issues list, but I had been focusing on the main game itself first.

BadgerBadger

Sep 10, 2019 12:15 am

manager   ~0052981

Ending scenes have been added

Issue History

Date Modified Username Field Change
Oct 19, 2018 6:37 pm Aero182 New Issue
Oct 22, 2018 10:41 am x4000Bughunter Note Added: 0050214
Oct 23, 2018 10:52 am Dune Assigned To => x4000Bughunter
Oct 23, 2018 10:52 am Dune Status new => assigned
Apr 18, 2019 1:52 pm x4000Bughunter Summary simple but necessary => simple but necessary (ending screen after winning)
Sep 10, 2019 12:15 am BadgerBadger Status assigned => resolved
Sep 10, 2019 12:15 am BadgerBadger Resolution open => fixed
Sep 10, 2019 12:15 am BadgerBadger Fixed in Version => 0.887 Ending Scenes
Sep 10, 2019 12:15 am BadgerBadger Note Added: 0052981